<script context="module" lang="ts">
	import { init as InitFirebase } from '@/lib/firebase'

	export async function load({ page }) {
		await InitFirebase()
		return {
			props: { page }
		}
	}
</script>

<script>
	import { goto } from '$app/navigation'
	import { page } from '$app/stores'

	$: isSick = $page.query.get('sick') == 'true'
	$: ID = parseInt($page.query.get('id'))

	$: isSchneidezahn = [6, 7, 8, 9, 19, 20, 21, 22].includes(ID)

	$: isBackenzahn = [1, 2, 3, 12, 13, 14, 15, 17, 18, 26, 27, 28].includes(ID)

	$: title = isSchneidezahn ? 'Schneidezahn' : isBackenzahn ? 'Backenzahn' : 'Details'
</script>

<div class="h-full w-full p-4">
	<div class="flex mb-2 items-center">
		<button
			class="text-gray-400 block hover:text-gray-500"
			on:click={() => goto('/viewer')}
		>
			<svg class="h-6 w-6 block" fill="none" viewBox="0 0 24 24" stroke="currentColor">
				<path
					stroke-linecap="round"
					stroke-linejoin="round"
					stroke-width="2"
					d="M11 15l-3-3m0 0l3-3m-3 3h8M3 12a9 9 0 1118 0 9 9 0 01-18 0z"
				/>
			</svg>
		</button>
		<h2 class="font-bold text-xl ml-2 leading-6">{title}</h2>
	</div>
	{#if isSick}
		<div>
			<h4>FINDINGS</h4>
			<ul class="findings items">
				<li>periapical tooth infection</li>
				<li>due to bacteria in the root canal system</li>
			</ul>
		</div>
		<div>
			<h4>TREATMENT OPTIONS</h4>
			<ul class="items">
				<li>
					<p>
						<span
							class="rounded-full font-bold bg-green-100 text-base py-0.5 px-3 text-green-800 inline-flex items-center"
						>
							Root canal treatment</span
						>: 95% of these cases can be healed by a professional root canal treatment
						preferably at an endodontic specialist The advantage of this treatment is that
						to conserve the tooth. If a root canal treatment has already been performed on
						this tooth, it is a private treatment
					</p>
				</li>
				<li>
					<p>
						<span
							class="rounded-full font-bold bg-red-100 text-base py-0.5 px-3 text-red-800 inline-flex items-center"
						>
							Extraction</span
						>alternatively the tooth can be extracted, which is not recommended in most of
						the cases. An extraction leaves a gap. The treatment is covered by the
						insurance. Closing the Gap with an implant or a bridge is not fully covered by
						the insurance and often exceeds the costs of a professional private Root canal
						treatment
					</p>
				</li>
			</ul>
		</div>
		<div>
			<h4>ESTIMATED COSTS</h4>
			<p>
				a private endodontic treatment for this tooth costs approximately <span
					class="rounded-full font-bold bg-indigo-100 text-base py-0.5 px-3 text-indigo-800 inline-flex items-center"
					>700-1200 €</span
				>
			</p>
		</div>
		<div>
			<h4>PRICE COMPARISON</h4>
			<ul class="mt-4 options items">
				<li>
					<p
						class="rounded-full font-semibold bg-indigo-500 text-xs text-white tracking-wide py-1 px-2 transform top-0 -translate-y-1/2 absolute uppercase"
					>
						Recommended
					</p>
					<div class="pic" />
					<div class="content">
						Private Root Canal Treatment <span
							class="rounded-full font-bold bg-indigo-100 text-base py-0.5 px-3 text-indigo-800 inline-flex items-center"
							>700-1200 €</span
						>
					</div>
				</li>

				<li>
					<div class="pic" />
					<div class="content">
						Ceramic bridge min. <span
							class="rounded-full font-bold bg-indigo-100 text-base py-0.5 px-3 text-indigo-800 inline-flex items-center"
							>1000 €</span
						>
					</div>
				</li>
				<li>
					<div class="pic" />
					<div class="content">
						dental implant with ceramic crown min. <span
							class="rounded-full font-bold bg-indigo-100 text-base py-0.5 px-3 text-indigo-800 inline-flex items-center"
							>2500€</span
						>
					</div>
				</li>
			</ul>
		</div>

		<div>
			<h4>HEALTH INSURANCE GUIDELINES</h4>
			<p>
				The statuary health insurance does not cover the private endodontic treatment
				costs since it has already covered the endodontic treatment once. It does cover
				the extraction. it is recommendable to take out a complementary dental insurance.
			</p>
		</div>
		<div class="flex mt-4 pb-4">
			<button
				class="bg-white rounded font-bold bg-indigo-200 mr-2 w-full  py-2 px-2 text-indigo-700"
				on:click={() => goto('/nsurance')}
			>
				Dental Insurance
			</button>
			<button
				class="bg-white rounded font-bold bg-indigo-700 shadow-md text-white w-full py-2 px-2"
				on:click={() => goto('/doctors')}
			>
				Find Specialist
			</button>
		</div>
	{:else if isSchneidezahn}
		<h4 class="mb-2">Good to know</h4>
		<ul class="items">
			<li>
				Schneidezahnverletzungen gehören zu den häufigsten unfallbedingten Verletzungen
			</li>
			<li>Jeder Fünfte Deutsche erfährt eine solche Verletzung in seinem Leben</li>
		</ul>
		<h4 class="mb-2">Häufigste Ursachen</h4>
		<ul class="items">
			<li>Sportverletzungen</li>
			<li>
				Schneidezahnverletzungen können zu langwierigen und Kostspieligen
				Folgebehandlungen oder gar bis hin zum Zahnverlust führen.
			</li>
		</ul>
		<p class="mt-4">
			<strong>Keine Panik!</strong> Du kannst dich ganz leicht davor schützen.
		</p>
		<h4>ZAHNFEE empfiehlt</h4>
		<p>
			Ein individuell hergestellter Sportmundschutz, den Du beim Sport trägst schützt
			deine Zähne vor Verletzungen.
		</p>
		<p>
			Erfahre <strong>hier</strong>, bei welchem Zahnarzt in deiner Nähe du einen
			Sportmundschutz erhältst.
		</p>
	{:else if isBackenzahn}
		<h4>Good to know</h4>
		<ul class="items">
			<li>Karies betrifft am häufigsten die Backenzähne.</li>
			<li>Unsere Zahnzwischenräume sind besonders anfällig</li>
		</ul>
		<h4>Häufigste Ursachen</h4>
		<ul class="items">
			<li>mangelnde Zahnzwischenraumpflege</li>
			<li>hochfrequentierter Zuckerkonsum class="items"</li>
		</ul>
		<h4>ZAHNFEE empfiehlt</h4>
		<p>
			Indem du deine Mundhygiene optimierst, regelmäßig deine Zahnzwischenräume reinigst
			Und 2x jährlich eine Prophylaxe genießt gibst du Zahnkrankheiten wie Karies keine
			Chance. Erfahre <strong>Hier</strong>, welches Prophylaxezentrum in deiner Nähe dich
			umfassed dazu berät und deine Zähne professionell reinigt
		</p>
		<h4>ZAHNFEE FACTS</h4>
		<p>
			Einen dritten Backenzahn bezeichnet man als Weisheitszahn. Da dieser im
			Erwachsenenalter rausbricht hat in sein erster Namensgeber, der persische Arzt
			Avicenne den Namen „Zahn der Weisheit“ gegeben. Weisheitszähne haben häufig keinen
			Platz und müssen daher entfernt werden. <strong>Hier</strong> erhältst du die Spezialisten deiner
			Umgebung, bei denen du gut aufgehoben bist.
		</p>
	{:else}
		{''}
	{/if}
</div>

<style>
	h4 {
		@apply font-bold mt-10;
	}

	.items li {
		@apply relative p-5 bg-white border border-gray-200 rounded-2xl shadow-sm flex items-center;
	}
	.items li:not(:last-child) {
		@apply mb-4;
	}
	.options li .pic {
		@apply w-20 h-20 bg-gray-400 rounded-md mr-4 flex-shrink-0;
	}
	.options li .content {
		@apply text-lg;
	}
</style>
